# RPM specfile for tsclient module
# Generated Mon Aug 11 21:58:50 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235.2.5 2003/07/31 17:23:29 thunder Exp $
# from $Id: ximian-build.conf,v 1.18 2003/07/10 00:52:25 mibarra Exp $

%define nam	tsclient
%define ver	0.108
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	4

Name:     	tsclient
Version: 	0.108
Release:	0.ximian.6.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnomepro.com/tsclient/
Source0:	tsclient-0.108.tar.gz
Patch0:		tsclient-include-locale_h.patch
Patch1:		tsclient-double-free-fix.patch
Patch2:		tsclient-de.po.patch
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	gtk2-devel >= 2.0.0
BuildRequires:	libgnomeui-devel
BuildRequires:	gnome-panel-devel
Summary:	Terminal Server Client is a frontend for rdesktop for the GNOME2 platform.
Group:		User Interface/Desktops
Requires:	glib2 >= 2.0.0
Requires:	gtk2 >= 2.0.0
Requires:	rdesktop >= 1.2.0
Provides:	ximian-tsclient = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Terminal Server Client is a frontend for rdesktop for the GNOME2 platform.

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
/usr/bin/tsclient
/usr/share/locale/*/LC_MESSAGES/*
/usr/share/pixmaps/*
/usr/share/gnome/apps/Internet/*
/usr/share/application-registry/tsclient.applications
/usr/share/mime-info/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n tsclient-0.108
    ;;
all)
%setup  -q -n tsclient-0.108
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    aclocal; automake --gnu --add-missing --include-deps; autoconf; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var; rm ${DESTDIR}//usr/libexec/* ${DESTDIR}/usr/lib/bonobo/servers/* 
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Aug 11 2003 Ximian, Inc.

- Version: 0.108-0.ximian.6.4
- Summary: New build.
- New automated build.

